- Qt 5.15
- Qt Core
- C++ Classes
- QGenericArgument
- Qt 5.15.18 Reference Documentation

# QGenericArgument Class

The QGenericArgument class is an internal helper class for marshalling arguments. More...

Header: | #include <QGenericArgument>
qmake: | QT += core
Inherited By: | QGenericReturnArgument

- List of all members, including inherited members

## Public Functions

| QGenericArgument(const char *name = nullptr, const void *data = nullptr)
void * | data() const
const char * | name() const

## Detailed Description

This class should never be used directly. Please use the Q_ARG() macro instead.

See also Q_ARG(), QMetaObject::invokeMethod(), and QGenericReturnArgument.

## Member Function Documentation

### QGenericArgument::QGenericArgument(const char *name = nullptr, const void *data = nullptr)

Constructs a QGenericArgument object with the given name and data.

### void *QGenericArgument::data() const

Returns the data set in the constructor.

### const char *QGenericArgument::name() const

Returns the name set in the constructor.